Your trails across all repositories
curl --request GET \
--url https://aws-us-east-2.api.entire.io/api/v1/me/trails \
--header 'Authorization: Bearer <token>'import requests
url = "https://aws-us-east-2.api.entire.io/api/v1/me/trails"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://aws-us-east-2.api.entire.io/api/v1/me/trails', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://aws-us-east-2.api.entire.io/api/v1/me/trails",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://aws-us-east-2.api.entire.io/api/v1/me/trails"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://aws-us-east-2.api.entire.io/api/v1/me/trails")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://aws-us-east-2.api.entire.io/api/v1/me/trails")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"meta": {
"server_time": "2023-11-07T05:31:56Z",
"degraded": "<string>",
"partial": [
"<string>"
]
},
"timeframe": "<string>",
"trails": [
{
"assignee_identities": [
{
"identity": {
"account_id": "<string>",
"avatar_url": "<string>",
"display_name": "<string>",
"handles": [
{
"handle": "<string>",
"provider": "<string>",
"is_primary": true
}
],
"kind": "<string>",
"automation": {
"automation_id": "<string>",
"installation_id": "<string>",
"plugin": "<string>"
},
"username": "<string>"
},
"login": "<string>"
}
],
"assignees": [
"<string>"
],
"author": {
"id": "<string>",
"identity": {
"account_id": "<string>",
"avatar_url": "<string>",
"display_name": "<string>",
"handles": [
{
"handle": "<string>",
"provider": "<string>",
"is_primary": true
}
],
"kind": "<string>",
"automation": {
"automation_id": "<string>",
"installation_id": "<string>",
"plugin": "<string>"
},
"username": "<string>"
},
"login": "<string>"
},
"base": "<string>",
"branch": "<string>",
"comment_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"has_code_changes": true,
"id": "<string>",
"is_private": true,
"last_activity_at": "2023-11-07T05:31:56Z",
"merged_at": "2023-11-07T05:31:56Z",
"number": 123,
"original_branch": "<string>",
"phase": "<string>",
"priority": "<string>",
"provider": "github",
"ready_for_review": true,
"repo_full_name": "<string>",
"repo_id": "<string>",
"reviewers": [
{
"identity": {
"account_id": "<string>",
"avatar_url": "<string>",
"display_name": "<string>",
"handles": [
{
"handle": "<string>",
"provider": "<string>",
"is_primary": true
}
],
"kind": "<string>",
"automation": {
"automation_id": "<string>",
"installation_id": "<string>",
"plugin": "<string>"
},
"username": "<string>"
},
"login": "<string>",
"status": "<string>",
"actor_account_id": "<string>",
"is_approval_stale": true
}
],
"status": "<string>",
"title": "<string>",
"type": "<string>",
"unresolved_count": 123,
"updated_at": "2023-11-07T05:31:56Z",
"parent": {
"host": "gh",
"id": "<string>",
"jurisdiction": "<string>",
"number": 123,
"path": "<string>",
"primary_processing_cell": "<string>",
"project": "<string>",
"project_id": "<string>",
"url": "<string>"
},
"url": "<string>"
}
],
"updated_at": "<string>",
"$schema": "/api/v1/schemas/MeTrailsOutputBody.json"
}{
"error": "<string>",
"$schema": "/api/v1/schemas/ApiError.json",
"code": "<string>",
"detail": "<string>"
}{
"error": "<string>",
"$schema": "/api/v1/schemas/ApiError.json",
"code": "<string>",
"detail": "<string>"
}{
"error": "<string>",
"$schema": "/api/v1/schemas/ApiError.json",
"code": "<string>",
"detail": "<string>"
}{
"error": "<string>",
"$schema": "/api/v1/schemas/ApiError.json",
"code": "<string>",
"detail": "<string>"
}{
"error": "<string>",
"$schema": "/api/v1/schemas/ApiError.json",
"code": "<string>",
"detail": "<string>"
}{
"error": "<string>",
"$schema": "/api/v1/schemas/ApiError.json",
"code": "<string>",
"detail": "<string>"
}{
"error": "<string>",
"$schema": "/api/v1/schemas/ApiError.json",
"code": "<string>",
"detail": "<string>"
}Your activity
Your trails across all repositories
Trails you authored or that are assigned to you across every repository you belong to, newest first. A trail that you authored and that is assigned to you appears once. The timeframe bounds when a trail was last updated, not when it was opened, and repositories with trails turned off are left out. This list has no cursor: it returns up to limit rows inside the timeframe and no next_cursor; narrow the timeframe or raise limit to see more.
GET
/
me
/
trails
Your trails across all repositories
curl --request GET \
--url https://aws-us-east-2.api.entire.io/api/v1/me/trails \
--header 'Authorization: Bearer <token>'import requests
url = "https://aws-us-east-2.api.entire.io/api/v1/me/trails"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://aws-us-east-2.api.entire.io/api/v1/me/trails', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://aws-us-east-2.api.entire.io/api/v1/me/trails",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://aws-us-east-2.api.entire.io/api/v1/me/trails"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://aws-us-east-2.api.entire.io/api/v1/me/trails")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://aws-us-east-2.api.entire.io/api/v1/me/trails")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"meta": {
"server_time": "2023-11-07T05:31:56Z",
"degraded": "<string>",
"partial": [
"<string>"
]
},
"timeframe": "<string>",
"trails": [
{
"assignee_identities": [
{
"identity": {
"account_id": "<string>",
"avatar_url": "<string>",
"display_name": "<string>",
"handles": [
{
"handle": "<string>",
"provider": "<string>",
"is_primary": true
}
],
"kind": "<string>",
"automation": {
"automation_id": "<string>",
"installation_id": "<string>",
"plugin": "<string>"
},
"username": "<string>"
},
"login": "<string>"
}
],
"assignees": [
"<string>"
],
"author": {
"id": "<string>",
"identity": {
"account_id": "<string>",
"avatar_url": "<string>",
"display_name": "<string>",
"handles": [
{
"handle": "<string>",
"provider": "<string>",
"is_primary": true
}
],
"kind": "<string>",
"automation": {
"automation_id": "<string>",
"installation_id": "<string>",
"plugin": "<string>"
},
"username": "<string>"
},
"login": "<string>"
},
"base": "<string>",
"branch": "<string>",
"comment_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"has_code_changes": true,
"id": "<string>",
"is_private": true,
"last_activity_at": "2023-11-07T05:31:56Z",
"merged_at": "2023-11-07T05:31:56Z",
"number": 123,
"original_branch": "<string>",
"phase": "<string>",
"priority": "<string>",
"provider": "github",
"ready_for_review": true,
"repo_full_name": "<string>",
"repo_id": "<string>",
"reviewers": [
{
"identity": {
"account_id": "<string>",
"avatar_url": "<string>",
"display_name": "<string>",
"handles": [
{
"handle": "<string>",
"provider": "<string>",
"is_primary": true
}
],
"kind": "<string>",
"automation": {
"automation_id": "<string>",
"installation_id": "<string>",
"plugin": "<string>"
},
"username": "<string>"
},
"login": "<string>",
"status": "<string>",
"actor_account_id": "<string>",
"is_approval_stale": true
}
],
"status": "<string>",
"title": "<string>",
"type": "<string>",
"unresolved_count": 123,
"updated_at": "2023-11-07T05:31:56Z",
"parent": {
"host": "gh",
"id": "<string>",
"jurisdiction": "<string>",
"number": 123,
"path": "<string>",
"primary_processing_cell": "<string>",
"project": "<string>",
"project_id": "<string>",
"url": "<string>"
},
"url": "<string>"
}
],
"updated_at": "<string>",
"$schema": "/api/v1/schemas/MeTrailsOutputBody.json"
}{
"error": "<string>",
"$schema": "/api/v1/schemas/ApiError.json",
"code": "<string>",
"detail": "<string>"
}{
"error": "<string>",
"$schema": "/api/v1/schemas/ApiError.json",
"code": "<string>",
"detail": "<string>"
}{
"error": "<string>",
"$schema": "/api/v1/schemas/ApiError.json",
"code": "<string>",
"detail": "<string>"
}{
"error": "<string>",
"$schema": "/api/v1/schemas/ApiError.json",
"code": "<string>",
"detail": "<string>"
}{
"error": "<string>",
"$schema": "/api/v1/schemas/ApiError.json",
"code": "<string>",
"detail": "<string>"
}{
"error": "<string>",
"$schema": "/api/v1/schemas/ApiError.json",
"code": "<string>",
"detail": "<string>"
}{
"error": "<string>",
"$schema": "/api/v1/schemas/ApiError.json",
"code": "<string>",
"detail": "<string>"
}Authorizations
oauth2bearerAuth
OAuth 2.0 authorization code flow.
Query Parameters
Relative window
Available options:
last-month, last-3-months, last-6-months RFC 3339; overrides timeframe start
RFC 3339; overrides timeframe end
Required range:
1 <= x <= 1000Was this page helpful?